Bug 163662 - Mounting a blank CDRW causes system to hang
Mounting a blank CDRW causes system to hang
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-19 22:06 EDT by Peter Cook
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-20 17:24:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Cook 2005-07-19 22:06:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I inserted a blank CDRW then typed:

mount /dev/cdrom /media/cdrecorder

Then the system hung.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Insert blank CDRW
2.In terminal type: mount /dev/cdrom /media/cdrecorder

  

Actual Results:  The system hangs and I must hard reboot.

Expected Results:  Warning message should appear that blank CDRW can't be mounted.

Additional info:

I know it doesn't make sense to mount a blank CD however I stumbled across this bug by accident while using the usermount GUI (System Tools - Disk Management...same results as using mount command) and trying to copy a CD. Unfortunately the accident caused me to reboot. I shouldn't have to reboot.
Comment 1 Peter Cook 2005-07-19 22:09:35 EDT
I noticed that when I was asked to initially choose a component the instructions
said that if the component you were reporting a bug on was not in the list to
choose the closet component and add some comments to the description field. I
added comments to explain that "diskcheck" was not the correct component, but I
don't see those comments anywhere in this bug report. ???
Comment 2 Andre Robatino 2005-07-20 09:30:41 EDT
  Which kernel are you using?  This bug was considered fixed with the latest
2.6.12-1.1398_FC4 kernel.
Comment 3 Peter Cook 2005-07-20 17:24:53 EDT
I was using 2.6.12-1.1390, but I upgraded to 1398 and the problem is resolved.
Thanks!

Note You need to log in before you can comment on or make changes to this bug.